import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./icon-label-toggle.stories";

<Meta of={ComponentStories} name="Docs" />

# Icon Label Toggle

This component is also known as the ux-iws-permission component.

This component is used to simplify the display of permission that can be granted or not.

If using the component inside the `ux-static-filter` make sure you pass the `data-ux-static-filter` attribute to this component. The values passed to this attribute will define the "active" (granted) permissions. Make sure that the `ux-static-filter` component has the `has-filtered-class` attribute.

If using the component on it's own – if you only want to display one static state – add the `is-active` attribute if you want to display the active state or just don't pass any additional attribute, this will show the inactive state.

## Active

<Canvas of={ComponentStories.Active}></Canvas>

## Not Active

<Canvas of={ComponentStories.NotActive}></Canvas>

## Developer Documentation

<Controls />
